org.apache.hc.client5.http.impl.cookie

## Class RFC6265CookieSpecFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.cookie.RFC6265CookieSpecFactory

- All Implemented Interfaces:
    CookieSpecFactory

      @Contract(threading=SAFE)
      public class RFC6265CookieSpecFactory
      extends Object
      implements CookieSpecFactory

  `CookieSpecFactory` implementation that provides an instance of RFC 6265 conformant cookie policy. The instance returned by this factory can be shared by multiple threads.
  Since:
    4.4

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RFC6265CookieSpecFactory.CompatibilityLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFC6265CookieSpecFactory()`
    `RFC6265CookieSpecFactory(PublicSuffixMatcher publicSuffixMatcher)`
    `RFC6265CookieSpecFactory(RFC6265CookieSpecFactory.CompatibilityLevel compatibilityLevel, PublicSuffixMatcher publicSuffixMatcher)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CookieSpec` | `create(org.apache.hc.core5.http.protocol.HttpContext context)` Creates an instance of `CookieSpec`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RFC6265CookieSpecFactory

          public RFC6265CookieSpecFactory(RFC6265CookieSpecFactory.CompatibilityLevel compatibilityLevel,
                                  PublicSuffixMatcher publicSuffixMatcher)

    - #### RFC6265CookieSpecFactory

          public RFC6265CookieSpecFactory(PublicSuffixMatcher publicSuffixMatcher)

    - #### RFC6265CookieSpecFactory

          public RFC6265CookieSpecFactory()

  - ### Method Detail

    - #### create

          public CookieSpec create(org.apache.hc.core5.http.protocol.HttpContext context)

      Description copied from interface: `CookieSpecFactory`
      Creates an instance of `CookieSpec`.
      Specified by:
        `create` in interface `CookieSpecFactory`
      Returns:
        auth scheme.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.